Send or withdraw reactionsAsk AIpost https://amojo.kommo.com/v2/origin/custom/{scope_id}/reactThe method allows you to send or remove a reaction from a specific message.Path Paramsscope_idstringrequiredObtain scope ID in the step 2Body Paramsconversation_idstringChat ID on the integration sideconversation_ref_idstringThe chat ID on the Chats API side. Optional if conversation_id is passed.idstringMessage ID on the Kommo side. The field is required if the msgid field is not passedmsgidstringMessage ID on the integration side. The field is required if the id field is not passeduserobjectuser objecttypestringenumAction typereactunreactAllowed:reactunreactemojistringRequired field for the “react” typeHeadersContent-TypestringDefaults to application/jsonRequest data type. Currently, only application/json is supported.DatestringDate and time when the request was generated. The signature will be valid for 15 minutes from this Date. The date should be in the format “Thu, 01 Jan 2023 12:00:00 +0000” (RFC2822)Content-MD5stringFor the request body, it is necessary to calculate the MD5 hash and indicate it in the header in lowercase. At the same time, it is important to keep in mind that the request body is calculated as a stream of bytes without considering the end of JSON markup, and if there are “\n” or spaces at the end, they will also be taken into account. For GET requests, MD5 must also be calculated. Even if nothing is passed in the request body, MD5 will be obtained from an empty string.X-SignaturestringSignature of the request as a string. It is formed from the name of the method (GET/POST) in uppercase, with the values of the headers concatenated by “\n”. Header values come in a specific order. If there is no header, an empty string is specified instead. Next, add the requested path from the URL without the protocol and domain (without GET parameters) to the line. The resulting string is calculated using HMAC-SHA1, and as a secret, we use the channel secret obtained during registration. The resulting hash in lowercase is indicated in the X-Signature header.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/plainAllowed:application/jsontext/plainResponses 200200 400400 403403 404404Updated 6 months ago